<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [hasWarehouse](./bitburner.warehouseapi.haswarehouse.md)

## WarehouseAPI.hasWarehouse() method

Check if you have a warehouse in city

**Signature:**

```typescript
hasWarehouse(divisionName: string, city: CityName | `${CityName}`): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string |  |
|  city | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` |  |

**Returns:**

boolean

true if warehouse is present, false if not

